---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libem02t012.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6C00, symBinAddr: 0x3540, symSize: 0x270 }
  - { offsetInCU: 0xAD9, offset: 0xAD9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x7B060, symBinAddr: 0xC350, symSize: 0x0 }
  - { offsetInCU: 0xB00, offset: 0xB00, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x7CFA0, symBinAddr: 0xE290, symSize: 0x0 }
  - { offsetInCU: 0xB22, offset: 0xB22, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x7D390, symBinAddr: 0xE680, symSize: 0x0 }
  - { offsetInCU: 0xB44, offset: 0xB44, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x7E330, symBinAddr: 0xF620, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x7E340, symBinAddr: 0xF630, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x7AB80, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x7AB84, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x7AB88, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x7ACE0, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x7AD98, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7AD9C, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x7ADA0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x7ADA4, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x7ADA8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x92F8, offset: 0x92F8, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x7ADB0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9381, offset: 0x9381, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x7ADC0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x939A, offset: 0x939A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x7ADC8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x7ADD0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x93CC, offset: 0x93CC, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x7ADD8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93E5, offset: 0x93E5, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x7ADE0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93FF, offset: 0x93FF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x7ADE8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94E5, offset: 0x94E5, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x7AE30, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7AE40, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9523, offset: 0x9523, size: 0x8, addend: 0x0, symName: __ZL13newEventCount, symObjAddr: 0x7AEE0, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x953C, offset: 0x953C, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x7AF80, symBinAddr: 0xC330, symSize: 0x0 }
  - { offsetInCU: 0x9555, offset: 0x9555, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x7AF88, symBinAddr: 0xC338, symSize: 0x0 }
  - { offsetInCU: 0x956E, offset: 0x956E, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x7AF90, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x9EF1, offset: 0x9EF1, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectED1Ev, symObjAddr: 0xD30, symBinAddr: 0x1D00, symSize: 0x220 }
  - { offsetInCU: 0xA1F9, offset: 0xA1F9, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectE17DecimalToAsciiRecEPci, symObjAddr: 0xE7D0, symBinAddr: 0x6000, symSize: 0x50 }
  - { offsetInCU: 0xA392, offset: 0xA392, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv12NewGlobalRefEP8_jobjectiPKc, symObjAddr: 0x13F0, symBinAddr: 0x1F20, symSize: 0x110 }
  - { offsetInCU: 0xA61C, offset: 0xA61C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3750, symBinAddr: 0x21E0, symSize: 0x80 }
  - { offsetInCU: 0xA6B1, offset: 0xA6B1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x36A0, symBinAddr: 0x2130, symSize: 0xB0 }
  - { offsetInCU: 0xA70C, offset: 0xA70C, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3580, symBinAddr: 0x2030, symSize: 0x100 }
  - { offsetInCU: 0xA99F, offset: 0xA99F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x37D0, symBinAddr: 0x2260, symSize: 0xC0 }
  - { offsetInCU: 0xA9F1, offset: 0xA9F1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3890, symBinAddr: 0x2320, symSize: 0x220 }
  - { offsetInCU: 0xABD6, offset: 0xABD6, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3AB0, symBinAddr: 0x2540, symSize: 0xA0 }
  - { offsetInCU: 0xAC89, offset: 0xAC89, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3B70, symBinAddr: 0x25E0, symSize: 0x110 }
  - { offsetInCU: 0xAD7F, offset: 0xAD7F, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3D10, symBinAddr: 0x26F0, symSize: 0x150 }
  - { offsetInCU: 0xAEF7, offset: 0xAEF7, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x4A80, symBinAddr: 0x2840, symSize: 0x30 }
  - { offsetInCU: 0xAF98, offset: 0xAF98, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x4F10, symBinAddr: 0x2870, symSize: 0x150 }
  - { offsetInCU: 0xB190, offset: 0xB190, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x5060, symBinAddr: 0x29C0, symSize: 0x160 }
  - { offsetInCU: 0xB450, offset: 0xB450, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x54F0, symBinAddr: 0x2B20, symSize: 0x4A0 }
  - { offsetInCU: 0xB6C3, offset: 0xB6C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x5C40, symBinAddr: 0x2FC0, symSize: 0x1B0 }
  - { offsetInCU: 0xB8DE, offset: 0xB8DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x5DF0, symBinAddr: 0x3170, symSize: 0xA0 }
  - { offsetInCU: 0xB9AD, offset: 0xB9AD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x6160, symBinAddr: 0x3210, symSize: 0x20 }
  - { offsetInCU: 0xB9E4, offset: 0xB9E4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x6180, symBinAddr: 0x3230, symSize: 0x20 }
  - { offsetInCU: 0xBA1B, offset: 0xBA1B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x61A0, symBinAddr: 0x3250, symSize: 0x20 }
  - { offsetInCU: 0xBBCA, offset: 0xBBCA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x68B0, symBinAddr: 0x3270, symSize: 0x1A0 }
  - { offsetInCU: 0xBEE6, offset: 0xBEE6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x6A50, symBinAddr: 0x3410, symSize: 0x130 }
  - { offsetInCU: 0xC096, offset: 0xC096, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x6E70, symBinAddr: 0x37B0, symSize: 0x1B0 }
  - { offsetInCU: 0xC385, offset: 0xC385, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x7020, symBinAddr: 0x3960, symSize: 0x80 }
  - { offsetInCU: 0xC44F, offset: 0xC44F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x70A0, symBinAddr: 0x39E0, symSize: 0x6A0 }
  - { offsetInCU: 0xCF6B, offset: 0xCF6B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xE2B0, symBinAddr: 0x5BD0, symSize: 0xB0 }
  - { offsetInCU: 0xCFE2, offset: 0xCFE2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x7740, symBinAddr: 0x4080, symSize: 0x70 }
  - { offsetInCU: 0xD09E, offset: 0xD09E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x8450, symBinAddr: 0x40F0, symSize: 0xA0 }
  - { offsetInCU: 0xD1A9, offset: 0xD1A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x9280, symBinAddr: 0x4190, symSize: 0x40 }
  - { offsetInCU: 0xD29F, offset: 0xD29F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x92C0, symBinAddr: 0x41D0, symSize: 0x2B0 }
  - { offsetInCU: 0xD645, offset: 0xD645, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x9570, symBinAddr: 0x4480, symSize: 0xC0 }
  - { offsetInCU: 0xD78B, offset: 0xD78B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x9630, symBinAddr: 0x4540, symSize: 0x10 }
  - { offsetInCU: 0xD84D, offset: 0xD84D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x9640, symBinAddr: 0x4550, symSize: 0x220 }
  - { offsetInCU: 0xDB4A, offset: 0xDB4A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xCE50, symBinAddr: 0x4770, symSize: 0x10 }
  - { offsetInCU: 0xDBA7, offset: 0xDBA7, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xCE60, symBinAddr: 0x4780, symSize: 0x780 }
  - { offsetInCU: 0xE422, offset: 0xE422, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD5E0, symBinAddr: 0x4F00, symSize: 0x10 }
  - { offsetInCU: 0xE585, offset: 0xE585, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_events_EM02_em02t012_setThread, symObjAddr: 0xD5F0, symBinAddr: 0x4F10, symSize: 0x40 }
  - { offsetInCU: 0xE6B0, offset: 0xE6B0, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xD630, symBinAddr: 0x4F50, symSize: 0x40 }
  - { offsetInCU: 0xE77D, offset: 0xE77D, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xD670, symBinAddr: 0x4F90, symSize: 0x1D0 }
  - { offsetInCU: 0xE880, offset: 0xE880, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xD840, symBinAddr: 0x5160, symSize: 0x20 }
  - { offsetInCU: 0xE8CC, offset: 0xE8CC, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEventPi, symObjAddr: 0xD860, symBinAddr: 0x5180, symSize: 0x120 }
  - { offsetInCU: 0xEA35, offset: 0xEA35, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xD980, symBinAddr: 0x52A0, symSize: 0xD0 }
  - { offsetInCU: 0xEB54, offset: 0xEB54, size: 0x8, addend: 0x0, symName: __ZL19showEventStatisticsi, symObjAddr: 0xDA50, symBinAddr: 0x5370, symSize: 0xE0 }
  - { offsetInCU: 0xEC35, offset: 0xEC35, size: 0x8, addend: 0x0, symName: _cbException, symObjAddr: 0xDB30, symBinAddr: 0x5450, symSize: 0x20 }
  - { offsetInCU: 0xECB7, offset: 0xECB7, size: 0x8, addend: 0x0, symName: _cbExceptionCatch, symObjAddr: 0xDB50, symBinAddr: 0x5470, symSize: 0x20 }
  - { offsetInCU: 0xED23, offset: 0xED23, size: 0x8, addend: 0x0, symName: _cbSingleStep, symObjAddr: 0xDB70, symBinAddr: 0x5490, symSize: 0x20 }
  - { offsetInCU: 0xED84, offset: 0xED84, size: 0x8, addend: 0x0, symName: _cbFramePop, symObjAddr: 0xDB90, symBinAddr: 0x54B0, symSize: 0x20 }
  - { offsetInCU: 0xEDE5, offset: 0xEDE5, size: 0x8, addend: 0x0, symName: _cbNewFramePop, symObjAddr: 0xDBB0, symBinAddr: 0x54D0, symSize: 0x20 }
  - { offsetInCU: 0xEE46, offset: 0xEE46, size: 0x8, addend: 0x0, symName: _cbBreakpoint, symObjAddr: 0xDBD0, symBinAddr: 0x54F0, symSize: 0x20 }
  - { offsetInCU: 0xEEA7, offset: 0xEEA7, size: 0x8, addend: 0x0, symName: _cbFieldAccess, symObjAddr: 0xDBF0, symBinAddr: 0x5510, symSize: 0x20 }
  - { offsetInCU: 0xEF29, offset: 0xEF29, size: 0x8, addend: 0x0, symName: _cbFieldModification, symObjAddr: 0xDC10, symBinAddr: 0x5530, symSize: 0x20 }
  - { offsetInCU: 0xEFC1, offset: 0xEFC1, size: 0x8, addend: 0x0, symName: _cbMethodEntry, symObjAddr: 0xDC30, symBinAddr: 0x5550, symSize: 0x20 }
  - { offsetInCU: 0xF017, offset: 0xF017, size: 0x8, addend: 0x0, symName: _cbMethodExit, symObjAddr: 0xDC50, symBinAddr: 0x5570, symSize: 0x20 }
  - { offsetInCU: 0xF083, offset: 0xF083, size: 0x8, addend: 0x0, symName: _cbNativeMethodBind, symObjAddr: 0xDC70, symBinAddr: 0x5590, symSize: 0x20 }
  - { offsetInCU: 0xF0F6, offset: 0xF0F6, size: 0x8, addend: 0x0, symName: _cbMonitorWait, symObjAddr: 0xDC90, symBinAddr: 0x55B0, symSize: 0x20 }
  - { offsetInCU: 0xF15D, offset: 0xF15D, size: 0x8, addend: 0x0, symName: _cbMonitorWaited, symObjAddr: 0xDCB0, symBinAddr: 0x55D0, symSize: 0x20 }
  - { offsetInCU: 0xF1C4, offset: 0xF1C4, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEnter, symObjAddr: 0xDCD0, symBinAddr: 0x55F0, symSize: 0x20 }
  - { offsetInCU: 0xF21F, offset: 0xF21F, size: 0x8, addend: 0x0, symName: _cbMonitorContendedEntered, symObjAddr: 0xDCF0, symBinAddr: 0x5610, symSize: 0x20 }
  - { offsetInCU: 0xF27A, offset: 0xF27A, size: 0x8, addend: 0x0, symName: _cbCompiledMethodLoad, symObjAddr: 0xDD10, symBinAddr: 0x5630, symSize: 0x20 }
  - { offsetInCU: 0xF2F9, offset: 0xF2F9, size: 0x8, addend: 0x0, symName: _cbCompiledMethodUnload, symObjAddr: 0xDD30, symBinAddr: 0x5650, symSize: 0x20 }
  - { offsetInCU: 0xF348, offset: 0xF348, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionStart, symObjAddr: 0xDD50, symBinAddr: 0x5670, symSize: 0x20 }
  - { offsetInCU: 0xF37F, offset: 0xF37F, size: 0x8, addend: 0x0, symName: _cbGarbageCollectionFinish, symObjAddr: 0xDD70, symBinAddr: 0x5690, symSize: 0x20 }
  - { offsetInCU: 0xF3B6, offset: 0xF3B6, size: 0x8, addend: 0x0, symName: _cbObjectFree, symObjAddr: 0xDD90, symBinAddr: 0x56B0, symSize: 0x20 }
  - { offsetInCU: 0xF3F9, offset: 0xF3F9, size: 0x8, addend: 0x0, symName: _cbVMObjectAlloc, symObjAddr: 0xDDB0, symBinAddr: 0x56D0, symSize: 0x20 }
  - { offsetInCU: 0xF46C, offset: 0xF46C, size: 0x8, addend: 0x0, symName: __ZL12setCallBacksi, symObjAddr: 0xDDD0, symBinAddr: 0x56F0, symSize: 0x2D0 }
  - { offsetInCU: 0xF563, offset: 0xF563, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE0A0, symBinAddr: 0x59C0, symSize: 0x210 }
  - { offsetInCU: 0xF83C, offset: 0xF83C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xE360, symBinAddr: 0x5C80, symSize: 0x370 }
...
